For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet receipts
      • POSTCreate a receipt
      • POSTUpload a receipt from a file
      • GETGet a receipt by ID
      • DELDelete a receipt
      • PATCHUpdate a receipt
      • POSTAttach a file to a receipt
      • GETGet all line items of a receipt
      • POSTAdd a new line item to a receipt
      • DELDelete a line item from a receipt
      • PATCHUpdate a line item of a receipt
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementReceipts

Delete a receipt

DELETE
/receipts/:receipt_id
DELETE
/v1/receipts/:receipt_id
$curl -X DELETE https://api.sandbox.monite.com/v1/receipts/receipt_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Update a receipt

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

401
Delete Receipts ID Request Unauthorized Error
403
Delete Receipts ID Request Forbidden Error
404
Delete Receipts ID Request Not Found Error
409
Delete Receipts ID Request Conflict Error
422
Delete Receipts ID Request Unprocessable Entity Error
500
Delete Receipts ID Request Internal Server Error